LogoopenSUSE Build Service > Projects
Sign Up | Log In

KDE Frameworks 5 development repository

This project contains packages of Frameworks 5 libraries.

KDE Frameworks are 60 addon libraries to Qt which provide a wide variety of 
commonly needed functionality in mature, peer reviewed and well tested 
libraries with friendly licensing terms. For an introduction see the 
Frameworks 5.0 release announcement.

Comments for KDE:Frameworks5 (27)

Stephan Kulow coolo wrote almost 3 years ago

nothing provides ki18n-devel >= 4.96.0 needed by kcompletion-devel-4.96.0-6.1.x86_64

found conflict of phonon-backend-gstreamer-0_10-4.7.1-1.1.x86_64 with phonon4qt5-backend-gstreamer-0_10-4.7.1-4.1.x86_64: - /usr/share/icons/hicolor/16x16/apps/phonon-gstreamer.png - /usr/share/icons/hicolor/22x22/apps/phonon-gstreamer.png - /usr/share/icons/hicolor/48x48/apps/phonon-gstreamer.png - /usr/share/icons/hicolor/scalable/apps/phonon-gstreamer.svgz - /usr/share/icons/hicolor/64x64/apps/phonon-gstreamer.png - /usr/share/icons/hicolor/128x128/apps/phonon-gstreamer.png

Hrvoje Senjan sumski wrote almost 3 years ago

Kcompletion - resolved, phonon is for now resolved by a brute force solution, will try to think of a better one.

Jorge Hernandez jfha73 wrote about 2 years ago

Can we have this for SLE 12 too?

Thanks.

P Linnell mrdocs wrote about 2 years ago

I've enabled it, but hang in there, we need to solve some dependencies outside of this repo.

Malcolm Haak malcolmh wrote about 1 year ago

Something is wrong with the published x86_64 repos. They build successfully on the 12th but the published rpm's are a mix of things buit on the 4th,8th and 12th.

Can somebody kick OBS in the chops or see why it's hung on the publishing?

Luca Beltrame luca_b wrote about 1 year ago

The x86_64 scheduler is offline, according to the OBS status page. Hopefully, it'll be kicked into submission.

Stephan Kulow coolo wrote about 1 year ago

please rename your leap repo before it gets popular.

Johannes Obermayr jobermayr wrote about 1 year ago

Please provide kf5 port of libkcddb and forward it to factory.

Luca Beltrame luca_b wrote about 1 year ago

Hello,

Was the KF5 libkcddb released already? If so, it's a possibility. If it hasn't seen a stable release yet, then we'll have to wait until it does.

Hrvoje Senjan sumski wrote about 1 year ago

a) it isn't released (OK, if a package is that critical, we can provide a snapshot sometimes - but somehow this one doesn't sound critical) b) it's part of KDE Applications so this ain't the place for it

Raymond Wooninck tittiatcoke wrote about 1 year ago

The ongoing kf5 port of libkcddb can be found in KDE:Unstable:Applications. At this moment KDE Applications (official releases) is still containing the KDE4 package. As soon as the official releases will switch, then the KF5 version will be automatically provided.

So instead of requesting it here, you should validate upstream to see why libkcddb is not yet switched.

Johannes Obermayr jobermayr wrote about 1 year ago

Super. It is also much much much much much much much much better to have a KDE4 dependency in a KF5 app which is linked against libkcddb instead of providing a not explicitly stable marked version. Chapeau!

Luca Beltrame luca_b wrote about 1 year ago

What's the point of the inflammatory tone? Can you point us to the stable tarball for the KF5 version?

Raymond Wooninck tittiatcoke wrote about 1 year ago

Maybe instead of just rattling along, you could provide us with the KF5 app (or apps) that is linked against libkcddb4. At this moment I do not believe that there is any official KDE Applications package that is KF5 based and still depends on libkcddb4.

Hrvoje Senjan sumski wrote about 1 year ago

wow, upstream repo random branch depends on another repo's random branch - i'm convinced!

Johannes Obermayr jobermayr wrote about 1 year ago

Tumbleweed prefers KF5, k3b is ported to KF5 and depends on libkcddb's KF5 branch - that's not random but coherent to reduce overloaded dependencies

Raymond Wooninck tittiatcoke wrote about 1 year ago

k3b is not officially ported. If it was fully ported, then the KF5 branch (which you are using) should have been merged into the master branch. Maybe this merge cannot be done as that libkcddb is not fully ported yet to KF5. Instead of demanding here, why don't you ask upstream what the status is of the KF5 porting of both libkcddb and k3b ?? At this moment there is no full Plasma5 desktop and applications. It is still a mixture and packages are allowed to port to KF5 in their own pace.

Robby Engelmann robby81 wrote 12 months ago

just upgraded to 5.5 and found some bugs: 1. sometimes I have to click multiple times on panel elements in order to get them activated. 2. notification settings - custom positioning to the upper right corner is not remembered after reboot. 3. notes widgets on desktop is broken, shows only transparent background and in its settings dialogue it all looks strange. Are these points worth reporting upstream or is still something missing from KF 5.17 which will be released soon?

Christophe Giboudeaux cgiboudeaux wrote 12 months ago

These issues are likely caused by plasma. I doubt KF 5.17 will change anything. Please report these issues upstream

Robby Engelmann robby81 wrote 12 months ago

can somebody confirm these issues?

Robby Engelmann robby81 wrote 12 months ago

for the custom notifications location not remembered bug a fix is available...https://bugs.kde.org/show_bug.cgi?id=356419

Robby Engelmann robby81 wrote 12 months ago

broken notes widget bug will be resolved after frameworks 5.17 get released. Some files moved from plasma-addons to frameworks

Robby Engelmann robby81 wrote 3 months ago

hi, plasma5-workspace and -libs for 5.7.4 was not published?

Raymond Wooninck tittiatcoke wrote 3 months ago

It seems that publish was disabled for exactly that package. Its enabled now and it should be published soon